Bug 797915 - (CVE-2012-0867) CVE-2012-0867 postgresql: MITM due improper x509_v3 CN validation during certificate verification
CVE-2012-0867 postgresql: MITM due improper x509_v3 CN validation during cert...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120227,reported=2...
: Security
Depends On: 797918 812077 812078 812081 812082
Blocks: 797940
  Show dependency treegraph
 
Reported: 2012-02-27 09:23 EST by Jan Lieskovsky
Modified: 2015-11-24 09:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 14:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-02-27 09:23:32 EST
A security flaw was found in the way PostgreSQL performed SSL certificate verification (only 32 characters from Common Name field of a particular certificate were recognized and verified), when SSL support was enabled. A rogue PostgreSQL server, able to obtain a carefully-crafted certificate, signed by a Certificate Authority trusted by PostgreSQL client, could use that certificate to conduct man-in-the-middle attack and potentially confuse PostgreSQL client into accepting it by mistake.

References:
[1] http://www.postgresql.org/support/security/
Comment 1 Jan Lieskovsky 2012-02-27 09:27:11 EST
This issue affects the version of the postgresql84 package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the postgresql package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the postgresql package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-02-27 09:32:23 EST
Created postgresql tracking bugs for this issue

Affects: fedora-all [bug 797918]
Comment 6 Fedora Update System 2012-03-06 15:40:40 EST
postgresql-9.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Jan Lieskovsky 2012-03-07 14:10:38 EST
Support for SSL certificate Common Name against particular server's host name verification has been added starting from PostgreSQL v8.4.0 version:
[2] http://www.postgresql.org/docs/8.4/static/release-8-4.html
    
    Chapter: E.12.3.9.2. libpq SSL (Secure Sockets Layer) support
    Paragraph: Fix certificate validation for SSL connections (Magnus)

Relevant PostgreSQL-Hackers mailing list archive thread:
[3] http://archives.postgresql.org/pgsql-hackers/2008-10/msg00912.php

The version of postgresql package, as shipped with Red Hat Enterprise Linux 5 does not include support for this feature yet (does not compare particular SSL certificate Common Name field against the server's host name), and thus is NOT affected by the CVE-2012-0867 security flaw.
Comment 8 Devrim GÜNDÜZ 2012-03-07 14:26:13 EST
Please re-look at comment #2 -- this *affects* postgresql84 package, surely not postgresql package, which is 8.1 actually.
Comment 9 Jan Lieskovsky 2012-03-07 14:35:04 EST
(In reply to comment #8)
> Please re-look at comment #2 -- this *affects* postgresql84 package, surely not
> postgresql package, which is 8.1 actually.

Thanks, Devrim,

  comment #7 was intended to clarify situation for postgresql package for Red Hat Enterprise Linux 5. To summarize:

1) This issue did NOT affect the version of the postgresql package, as shipped with Red Hat Enterprise Linux 5,
2) This issue affects the version of the postgresql84 package, as shipped with Red Hat Enterprise Linux 5 and version of postgresql package, as shipped with Red Hat Enterprise Linux 6.

Fedora versions are covered in comment #2.
Comment 10 Fedora Update System 2012-03-07 23:01:06 EST
postgresql-9.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-03-07 23:51:45 EST
postgresql-9.0.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-03-07 23:54:03 EST
postgresql-9.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 errata-xmlrpc 2012-05-21 11:09:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0678 https://rhn.redhat.com/errata/RHSA-2012-0678.html

Note You need to log in before you can comment on or make changes to this bug.